import {ComponentExporterImporter, PreloadedDynamicValues} from "../ComponentExporterImporter";
import {TestableData} from "../../store";
import {ExportImportTarget} from "../Exporters";
import {HolidaysOptions} from "../../cards/conditions/Holidays";

export class HolidaysExporterImporter implements ComponentExporterImporter<TestableData<HolidaysOptions>, TestableData<HolidaysOptions>> {
    type= 'Holidays'

    exportData(data: TestableData<HolidaysOptions>, target: ExportImportTarget): TestableData<HolidaysOptions> {
        return data
    }

    tagDynamicValues({options: {holidays}}: TestableData<HolidaysOptions>, target: ExportImportTarget): PreloadedDynamicValues {
        return {
            category: 'holidays',
            values: holidays
        };
    }
}